/*
 * ECRTS 2010 submission "Sulphur"
 * SMMU model
 * Copyright (C) Jack Whitham 2010
 */

#ifndef SMMU_H
#define SMMU_H

#include "tetra.h"

typedef enum {
    CM_ORIGINAL, CM_DYNAMIC_IF_DIRTY,
    CM_OPTION_B, CM_OPTION_C 
} SMMU_Close_Mode;

void Init_SMMU(Tetra_Params * tp, 
        ulongint table_size, SMMU_Close_Mode close_mode);


#endif

